path: /build/build/alsa-plugins-media-plugins-1.2.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libsamplerate -speex ffmpeg jack pulseaudio" emerge media-plugins/alsa-plugins -pv -t && \
    USE="-libsamplerate -speex ffmpeg jack pulseaudio" emerge -j ${JOBS} --nodeps media-plugins/alsa-plugins
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/alsa-plugins && luet-portage --dir /pkgdir/alsa-plugins
    media-plugins/alsa-plugins && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d23d0a3e0d1adf874626f113f46a85211e3dc2123cee8cb28f295f1e8a1db6b0
  package:
    name: alsa-plugins
    version: 1.2.2
    category: media-plugins
    use_flags:
    - -libsamplerate
    - -speex
    - ffmpeg
    - jack
    - pulseaudio
    requires:
    - name: ffmpeg
      version: '>=0'
      category: media-video
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: ALSA extra plugins
    uri:
    - http://www.alsa-project.org/
    license: GPL-2 LGPL-2.1
    buildtimestamp: 2023-08-30 19:47:59.749405504 +0000 UTC m=+298.810604913
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: '>=media-libs/alsa-lib-1.2.2:=[-mgorny(-)] ffmpeg? ( media-video/ffmpeg:0=[-mgorny(-)]
        ) jack? ( virtual/jack[-mgorny(-)] ) libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[-mgorny(-)]
        ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) speex? ( >=media-libs/speex-1.2.0:=[-mgorny(-)]
        media-libs/speexdsp[-mgorny(-)] )'
      IUSE: arcam_av debug ffmpeg jack libsamplerate +mix oss pulseaudio speex +usb_stream
        abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: '>=media-libs/alsa-lib-1.2.2:=[-mgorny(-)] ffmpeg? ( media-video/ffmpeg:0=[-mgorny(-)]
        ) jack? ( virtual/jack[-mgorny(-)] ) libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[-mgorny(-)]
        ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) speex? ( >=media-libs/speex-1.2.0:=[-mgorny(-)]
        media-libs/speexdsp[-mgorny(-)] )'
      emerge.packages: media-plugins/alsa-plugins
      kit: core-kit
      original.package.name: media-plugins/alsa-plugins
      original.package.slot: "0"
      original.package.version: 1.2.2
    treedir: /build/packages
  package_dir: /pkgdir/alsa-plugins
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c779ad64931e9465f16e5ca28b4666ca83f1fdc3d08a4fd1073c07bb03986fe7
compressiontype: zstd
files:
- etc/alsa/conf.d/10-rate-lav.conf
- etc/alsa/conf.d/50-jack.conf
- etc/alsa/conf.d/50-pulseaudio.conf
- etc/alsa/conf.d/51-pulseaudio-probe.conf
- etc/alsa/conf.d/60-a52-encoder.conf
- etc/alsa/conf.d/60-upmix.conf
- etc/alsa/conf.d/60-vdownmix.conf
- etc/alsa/conf.d/98-usb-stream.conf
- etc/alsa/conf.d/99-pulseaudio-default.conf.example
- usr/lib64/alsa-lib/libasound_module_conf_pulse.so
- usr/lib64/alsa-lib/libasound_module_ctl_pulse.so
- usr/lib64/alsa-lib/libasound_module_pcm_a52.so
- usr/lib64/alsa-lib/libasound_module_pcm_jack.so
- usr/lib64/alsa-lib/libasound_module_pcm_pulse.so
- usr/lib64/alsa-lib/libasound_module_pcm_upmix.so
- usr/lib64/alsa-lib/libasound_module_pcm_usb_stream.so
- usr/lib64/alsa-lib/libasound_module_pcm_vdownmix.so
- usr/lib64/alsa-lib/libasound_module_rate_lavrate.so
- usr/lib64/alsa-lib/libasound_module_rate_lavrate_fast.so
- usr/lib64/alsa-lib/libasound_module_rate_lavrate_faster.so
- usr/lib64/alsa-lib/libasound_module_rate_lavrate_high.so
- usr/lib64/alsa-lib/libasound_module_rate_lavrate_higher.so
- usr/share/alsa/alsa.conf.d/10-rate-lav.conf
- usr/share/alsa/alsa.conf.d/50-jack.conf
- usr/share/alsa/alsa.conf.d/50-pulseaudio.conf
- usr/share/alsa/alsa.conf.d/51-pulseaudio-probe.conf
- usr/share/alsa/alsa.conf.d/60-a52-encoder.conf
- usr/share/alsa/alsa.conf.d/60-upmix.conf
- usr/share/alsa/alsa.conf.d/60-vdownmix.conf
- usr/share/alsa/alsa.conf.d/98-usb-stream.conf
- usr/share/alsa/pulse-default.conf
- usr/share/doc/alsa-plugins-1.2.2/README-jack.bz2
- usr/share/doc/alsa-plugins-1.2.2/README-pcm-oss.bz2
- usr/share/doc/alsa-plugins-1.2.2/README-pulse.bz2
- usr/share/doc/alsa-plugins-1.2.2/a52.txt.bz2
- usr/share/doc/alsa-plugins-1.2.2/lavrate.txt.bz2
- usr/share/doc/alsa-plugins-1.2.2/upmix.txt.bz2
- usr/share/doc/alsa-plugins-1.2.2/vdownmix.txt.bz2
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/BDEPEND
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/BUILD_TIME
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CATEGORY
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CBUILD
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CFLAGS
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CHOST
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CONTENTS
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/COUNTER
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/CXXFLAGS
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/DEFINED_PHASES
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/DEPEND
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/DESCRIPTION
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/EAPI
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/FEATURES
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/HOMEPAGE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/INHERITED
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/IUSE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/IUSE_EFFECTIVE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/KEYWORDS
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/LDFLAGS
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/LICENSE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/NEEDED
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/PF
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/PROVIDES
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/RDEPEND
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/REQUIRES
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/SIZE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/SLOT
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/USE
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/alsa-plugins-1.2.2.ebuild
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/environment.bz2
- var/db/pkg/media-plugins/alsa-plugins-1.2.2/repository
package_cacheimage: ""
runtime:
  name: alsa-plugins
  version: 1.2.2
  category: media-plugins
  use_flags:
  - -libsamplerate
  - -speex
  - ffmpeg
  - jack
  - pulseaudio
  requires:
  - name: ffmpeg
    version: '>=0'
    category: media-video
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: ALSA extra plugins
  uri:
  - http://www.alsa-project.org/
  license: GPL-2 LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: '>=media-libs/alsa-lib-1.2.2:=[-mgorny(-)] ffmpeg? ( media-video/ffmpeg:0=[-mgorny(-)]
      ) jack? ( virtual/jack[-mgorny(-)] ) libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[-mgorny(-)]
      ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) speex? ( >=media-libs/speex-1.2.0:=[-mgorny(-)]
      media-libs/speexdsp[-mgorny(-)] )'
    IUSE: arcam_av debug ffmpeg jack libsamplerate +mix oss pulseaudio speex +usb_stream
      abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
      abi_s390_64
    RDEPEND: '>=media-libs/alsa-lib-1.2.2:=[-mgorny(-)] ffmpeg? ( media-video/ffmpeg:0=[-mgorny(-)]
      ) jack? ( virtual/jack[-mgorny(-)] ) libsamplerate? ( >=media-libs/libsamplerate-0.1.8-r1:=[-mgorny(-)]
      ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) speex? ( >=media-libs/speex-1.2.0:=[-mgorny(-)]
      media-libs/speexdsp[-mgorny(-)] )'
    emerge.packages: media-plugins/alsa-plugins
    kit: core-kit
    original.package.name: media-plugins/alsa-plugins
    original.package.slot: "0"
    original.package.version: 1.2.2
